org.mariadb.jdbc.internal.common.query.parameters

## Class SerializableParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.common.query.parameters.ParameterHolder
  - - org.mariadb.jdbc.internal.common.query.parameters.LongDataParameterHolder
    - - org.mariadb.jdbc.internal.common.query.parameters.SerializableParameter

All Implemented Interfaces:
  Cloneable

    public class SerializableParameter
    extends LongDataParameterHolder

### Field Summary

### Fields inherited from class org.mariadb.jdbc.internal.common.query.parameters.LongDataParameterHolder

`mySQLServerCharset`

### Constructor Summary

Constructors
Constructor and Description
`SerializableParameter(Object object, boolean noBackslashEscapes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MySQLType` `getMySQLType()`
`String` `toString()`
`void` `writeBinary(PacketOutputStream os)`
`void` `writeTo(OutputStream os)` Write parameter value

### Methods inherited from class org.mariadb.jdbc.internal.common.query.parameters.LongDataParameterHolder

`isLongData, setMySQLServerCharset`

### Methods inherited from class org.mariadb.jdbc.internal.common.query.parameters.ParameterHolder

`writeBufferType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SerializableParameter

    public SerializableParameter(Object object,
                                 boolean noBackslashEscapes)
                          throws IOException

Throws:
  `IOException`

### Method Detail

#### writeTo

    public void writeTo(OutputStream os)
                 throws IOException

Description copied from class: `ParameterHolder`
Write parameter value

Specified by:
  `writeTo` in class `ParameterHolder`
Parameters:
  `os` - the stream to write to
Throws:
  `IOException` - when something goes wrong

#### writeBinary

    public void writeBinary(PacketOutputStream os)
                     throws IOException

Specified by:
  `writeBinary` in class `LongDataParameterHolder`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `ParameterHolder`

#### getMySQLType

    public MySQLType getMySQLType()

Specified by:
  `getMySQLType` in class `ParameterHolder`